Usage

Prerequisites

Prior to using the Visual Studio installer plugin, make sure that you have the following installed on your system:

  1. JDK 5.0 Update x
  2. Both Microsoft .NET Framework (2.0+) AND NET Framework 2.0 SDK. Note that the 2.0+ framework is required to run NPanday, but you can still target 1.1 for your builds provided that the 1.1 version is also installed.
  3. NUnit 2.2+ (only if using unit tests).
  4. Maven 2.0.4 or higher
  5. Visual Studio 2005 Standard or higher is needed to use the NPanday Addin (Visual Studio Express Edition will not work)

For the install only, you will also need to make sure that you have both the SDK and the .NET framework locations within your path. Typical locations include:

  • install root: C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727
  • SDK root: C:\Program Files\Microsoft.NET\SDK\v2.0\

Installing

If you have built NPanday locally on your machine, you can just type:

 mvn org.apache.npanday.plugins:maven-vsinstaller-plugin:install

If you have not built NPanday locally and are just looking to use the binary distribution, then check out the instructions here: Install From Remote Repo